$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.6-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.6-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '96EC259B51C0270DB4348E684CC9153FA04B3D48A7DF4FB61E6F21241AC32D42'
  checksumType = 'sha256'
  checksum64 = '96EC259B51C0270DB4348E684CC9153FA04B3D48A7DF4FB61E6F21241AC32D42'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.1.6-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
